package de.tsschulz.tt_tagebuch.app.di

import de.tsschulz.tt_tagebuch.app.viewmodel.DiaryScreenModel
import de.tsschulz.tt_tagebuch.app.viewmodel.LoginScreenModel
import de.tsschulz.tt_tagebuch.app.viewmodel.MemberScreenModel
import de.tsschulz.tt_tagebuch.app.viewmodel.ParticipantScreenModel
import de.tsschulz.tt_tagebuch.app.viewmodel.MemberEditScreenModel
import org.koin.dsl.module

val appModule = module {
    factory { LoginScreenModel(get()) }
    factory { DiaryScreenModel(get()) }
    factory { MemberScreenModel(get()) } // Updated
    factory { ParticipantScreenModel(get()) }
    factory { MemberEditScreenModel(get()) }
}
